# -*- coding: utf-8; mode: rpm-spec -*-
# $Id: emacs-tiny-tools.spec,v 1.2 2005/06/25 13:58:22 eugene Exp $

Version: 1.0.20050625
Release: alt1
Name: emacs-tiny-tools
License: GPL
Group: Editors
Url: http://tiny-tools.sourceforge.net/
Summary: tiny-tools package for Emacs
Summary(ru_RU.UTF-8): пакет tiny-tools для Emacs
Requires: emacs-common emacsen-startscripts

Source: tiny-tools.tar.gz
Source1: tiny-tools.el

Patch0: tiny-tools-cl-macs_noext.patch

BuildArch: noarch

# Automatically added by buildreq on Mon Jun 27 2005
BuildRequires: emacs-cedet emacs-gnus emacs-mailcrypt emacs-prog-modes emacs-w3 emacs21-common emacs21-leim enscript ghostscript-classic mpage openssl xorg-x11-locales

%description
Emacs Tiny Tools is a collection of libraries and packages, which are
designed to be OS and X/Emacs platform independent. E.g. configure load-path
automatically, URL handler, easy-delete, mail complete and many more.

%description -l ru_RU.UTF-8
Tiny-tools -- набор библиотек и пакетов, которые спроектированы таким
образом, чтобы быть независимыми от операционных систем и версий
Emacs. Например, автоматически настраиваются пути загрузки, обработчики URL
и многие другие возможности.

%prep
%setup -q -n tiny-tools
%patch0 -p1

%build
cd lisp/tiny
for i in *.el ; do
	emacs -batch --eval "(progn
	(setq load-path (append (list \".\" \"../other\" \"../../rc\")  load-path))
	(byte-compile-file \"$i\"))"
done

cd ../other
for i in *.el ; do
	emacs -batch --eval "(progn
	(setq load-path (append (list \".\" \"../tiny\" \"../../rc\")  load-path))
	(byte-compile-file \"$i\"))"
done

# rc samples removed
#
#cd ../../rc
#for i in *.el ; do
#	emacs -batch --eval "(progn
#	(setq load-path (append (list \".\" \"../lisp/tiny\" \"../lisp/other\")  load-path))
#	(byte-compile-file \"$i\"))"
#done

cd ../..

%install
%__mkdir_p %buildroot%_emacslispdir/tiny-tools/rc
%__mkdir_p %buildroot%_emacslispdir/tiny-tools/tiny
%__mkdir_p %buildroot%_emacslispdir/tiny-tools/other
%__install -m 644 lisp/other/*.el* %buildroot%_emacslispdir/tiny-tools/other/
%__install -m 644 lisp/tiny/*.el* %buildroot%_emacslispdir/tiny-tools/tiny/
#install -m 644 rc/*.el* %buildroot%_emacslispdir/tiny-tools/rc/

%__mkdir_p %buildroot%_docdir/%name/html/pic
%__mkdir_p %buildroot%_docdir/%name/txt
%__install -m 644 doc/html/*.html %buildroot%_docdir/%name/html/
%__install -m 644 doc/html/pic/*.jpg %buildroot%_docdir/%name/html/pic/
%__install -m 644 doc/txt/*.txt %buildroot%_docdir/%name/txt/
%__install -m 644 lisp/ChangeLog %buildroot%_docdir/%name/
%__gzip -f -9 %buildroot%_docdir/%name/ChangeLog

%__mkdir_p %buildroot%_docdir/%name/contrib
%__install -m 644 bin/*.pl %buildroot%_docdir/%name/contrib/
%__install -m 644 bin/admin.bashrc %buildroot%_docdir/%name/contrib/
%__install -m 644 bin/*.pl %buildroot%_docdir/%name/contrib/

%__mkdir_p %buildroot/etc/emacs/site-start.d
%__install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/tiny-tools.el

%files
%doc %_docdir/%name/
%dir %_emacslispdir/tiny-tools/
%dir %_emacslispdir/tiny-tools/rc
%dir %_emacslispdir/tiny-tools/other
%dir %_emacslispdir/tiny-tools/tiny
%_emacslispdir/tiny-tools/tiny/*.el*
#%_emacslispdir/tiny-tools/rc/*.el*
%_emacslispdir/tiny-tools/other/*.el*
/etc/emacs/site-start.d/*

%changelog
* Sat Jun 25 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.0.20050625-alt1
- New snapshot
- Fixed load cl-macs (#7197)
- Fixed tiny-tools.el

* Tue Apr 13 2004 Ott Alex <ott@altlinux.ru> 1.0.20040413-alt1
- New snapshot, many additions

* Sat Apr 03 2004 Ott Alex <ott@altlinux.ru> 1.0.20040402-alt1
- New snapshot, many additions

* Wed Nov 26 2003 Ott Alex <ott@altlinux.ru> 1.0.20031126-alt1
- New snapshot

* Wed Nov 19 2003 Ott Alex <ott@altlinux.ru> 1.0.20031119-alt1
- New snapshot

* Sun Oct 26 2003 Ott Alex <ott@altlinux.ru> 1.0.20031026-alt1
- New snapshot

* Sat Oct 11 2003 Ott Alex <ott@altlinux.ru> 1.0.20031010-alt1
- New snapshot

* Sun Sep 21 2003 Ott Alex <ott@altlinux.ru> 1.0.20030919-alt1
- New snapshot

* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 1.0.20030915-alt1
- New snapshot

* Thu Aug 07 2003 Ott Alex <ott@altlinux.ru> 1.0.200306807-alt1
- New snapshot

* Sun Jun 22 2003 Ott Alex <ott@altlinux.ru> 1.0.20030622-alt1
- New snapshot

* Sat Jun 07 2003 Ott Alex <ott@altlinux.ru> 1.0.20030607-alt1
- New snapshot and cleaning spec file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.0.20030207-alt1
- Fixing spec

* Mon Nov 18 2002 Ott Alex <ott@altlinux.ru> 1.0.20021118-alt1
- Initial build for ALTLinux

